<?php
defined('PHPWG_ROOT_PATH') or trigger_error('Hacking attempt!', E_USER_ERROR);
//if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$plugin_path = dirname(__FILE__).'/';

include_once($plugin_path.'db_export_image_metadata_class.php');

// Template and variable init
global $template;
load_language('plugin.lang', $plugin_path);
$destDir = ""; $toolPath = ""; $use_exiftool = true; $use_exiv2 = true; $use_whole_desc = true; $nb_tags = 0;

// Retrieve form
if (isset($_POST['exportmetadata_post_form']) == 1)
//if (isset($_POST['submit']))
{
	if ($_POST['exportmetadata_dir'] !== '')
	{
		$destDir = realpath($_POST['exportmetadata_dir']);
		$toolPath = $_POST['tool_path'];
		$use_exiftool = isset($_POST['use_exiftool']);
		$use_exiv2 = isset($_POST['use_exiv2']);
		$use_whole_desc = $_POST['multi_lang_desc']  === true;
		if (file_exists($destDir))
		{
			$export_image_metadata = new ExportImageMetadata($use_exiftool, $use_exiv2, $use_whole_desc);
			$nb_tags = $export_image_metadata->image_properties_to_file($toolPath, $destDir);
		}
	}
}

// template assign
$template->set_filenames( array('db_export_image_metadata_content' => $plugin_path.'db_export_image_metadata.tpl') );

$template->assign(array(
	'F_ACTION' => PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section=Tags2File%2Fdb_export_image_metadata.php',
	'EXPORTMETADATA_DIR' => $destDir,
	'TOOL_PATH' => $toolPath,
	'$USE_EXIFTOOL' => $use_exiftool ? 'checked="checked"' : '',
	'$USE_EXIV2' => $use_exiv2 ? 'checked="checked"' : '',
	'$MULTI_LANG_DESC' => $use_whole_desc,
	'$NB_FILE_TO_TAG' => $nb_tags
));

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'db_export_image_metadata_content');

?>
