<?php
/*
Plugin Name: Export image metadata
Description: Export the image properties and tags from the database to a batch script. This script will tag the files and set the data in IPTC fields
Author: Eric B, inspired from Tags2File MOD from Nicco
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=292
Version: 0.1
*/

/*
Changelog :

v0.1, 2009-05-18 : first beta, I tried to get benefit of the plugin architecture and php5 (class)
Known issues: 
Minor (for basic features): pb retrieving the checkbox and radio values. Results not shown. Mehod explode_description not implemented yet.
Major: if the script generated contains extended characters (ü, ô, é, etc), they are wronlgy passed in the dos command line and therefore, the IPTC tags are truncated. 

TO USE ONLY FOR TEST PURPOSE, DO NOT LAUNCH THE SCRIPT AS IT IS!

v1.0 : initial release

*/

add_event_handler('get_admin_plugin_menu_links', 'db_export_image_metadata' );

function db_export_image_metadata($menu)
{
	array_push($menu,
		array(
			'NAME' => 'Export image metadata',
			'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/db_export_image_metadata.php')
		)
	);
	return $menu;
}

?>
